[RDD] error compiling Rivendell 2.0.2 on Debian 6: rdxport.cgi: No such file or directory

Geoff Barkman countryradio at gmail.com
Wed Jun 8 01:21:45 EDT 2011


Hi Andrew
There is a wiki page about installing Rivendell 2 beta on Ubuntu... it
should be similar to Debian.

http://rivendell.tryphon.org/wiki/Ubuntu_BETA_Dependencies

On Ubuntu you need ....

libcdparanoia-dev
libflac++-dev
libflac-dev
libsamplerate0-dev
libid3tag0-dev
libid3-3.8.3-dev
libcurl4-gnutls-dev
libsndfile1-dev
qt4-dev-tools
qt3-dev-tools
libpam0g-dev
libsoundtouch1-dev
libasound2-dev
libtwolame-dev
libmp3lame-dev
libmad0-dev
libqt3-mt-mysql


On Wed, Jun 8, 2011 at 4:59 PM, Andrew Struiksma
<andrewstr at krpiradio.com> wrote:
> I'm trying to compile 2.0.2 on Debian 6. I extracted the source files
> in /usr/src/rivendell-2.0.2 then issued "dpkg-buildpackage."
> My configure looks like this:
> configure: "|-----------------------------------------------------|"
> configure: "|       *** RIVENDELL CONFIGURATION SUMMARY ***       |"
> configure: "|-----------------------------------------------------|"
> configure: "| Configured Audio Drivers:                           |"
> configure: "|  Advanced Linux Sound Architecture (ALSA) ... Yes   |"
> configure: "|                          AudioScience HPI ... Yes   |"
> configure: "|                 JACK Audio Connection Kit ... Yes   |"
> configure: "|                                                     |"
> configure: "| Audio Codecs:                                       |"
> configure: "|            FLAC Encoding/Decoding Support ... Yes   |"
> configure: "|                     MPEG Decoding Support ... Yes   |"
> configure: "|             MPEG Layer 2 Encoding Support ... Yes   |"
> configure: "|             MPEG Layer 3 Encoding Support ... Yes   |"
> configure: "|       OggVorbis Encoding/Decoding Support ... Yes   |"
> configure: "|                                                     |"
> configure: "| Optional Components:                                |"
> configure: "|           Rivendell PAM pam_rd.so Support ... Yes   |"
> configure: "|-----------------------------------------------------|"
>
> The error I get is as follows:
>
> libtool: install: warning: `/usr/src/rivendell-2.0.2/lib/librd.la' has
> not been installed in `/usr/local/lib'
> libtool: install: /usr/bin/install -c .libs/rdcastmanager.cgi
> /usr/src/rivendell-2.0.2/debian/tmp/usr/lib/cgi-bin/rivendell/rdcastmanager.cgi
> test -z "/usr/lib/cgi-bin/rivendell" || /bin/mkdir -p
> "/usr/src/rivendell-2.0.2/debian/tmp/usr/lib/cgi-bin/rivendell"
>  /usr/bin/install -c rdcastmanager.js
> '/usr/src/rivendell-2.0.2/debian/tmp/usr/lib/cgi-bin/rivendell'
> make[5]: Nothing to be done for `install-data-am'.
> make[5]: Leaving directory `/usr/src/rivendell-2.0.2/web/rdcastmanager'
> make[4]: Leaving directory `/usr/src/rivendell-2.0.2/web/rdcastmanager'
> Making install in rdxport
> make[4]: Entering directory `/usr/src/rivendell-2.0.2/web/rdxport'
> make[5]: Entering directory `/usr/src/rivendell-2.0.2/web/rdxport'
> test -z "/usr/lib/cgi-bin/rivendell" || /bin/mkdir -p
> "/usr/src/rivendell-2.0.2/debian/tmp/usr/lib/cgi-bin/rivendell"
>  /bin/bash ../../libtool   --mode=install /usr/bin/install -c
> rdxport.cgi '/usr/src/rivendell-2.0.2/debian/tmp/usr/lib/cgi-bin/rivendell'
> libtool: install: warning: `/usr/src/rivendell-2.0.2/lib/librd.la' has
> not been installed in `/usr/local/lib'
> libtool: install: /usr/bin/install -c .libs/rdxport.cgi
> /usr/src/rivendell-2.0.2/debian/tmp/usr/lib/cgi-bin/rivendell/rdxport.cgi
> make  install-exec-hook
> make[6]: Entering directory `/usr/src/rivendell-2.0.2/web/rdxport'
> chown root /usr/lib/cgi-bin/rivendell/rdxport.cgi
>>>>>chown: cannot access `/usr/lib/cgi-bin/rivendell/rdxport.cgi': No such file or directory <<<<<<<<
> make[6]: *** [install-exec-hook] Error 1
> make[6]: Leaving directory `/usr/src/rivendell-2.0.2/web/rdxport'
> make[5]: *** [install-exec-am] Error 2
> make[5]: Leaving directory `/usr/src/rivendell-2.0.2/web/rdxport'
> make[4]: *** [install-am] Error 2
> make[4]: Leaving directory `/usr/src/rivendell-2.0.2/web/rdxport'
> make[3]: *** [install-recursive] Error 1
> make[3]: Leaving directory `/usr/src/rivendell-2.0.2/web'
> make[2]: *** [install-recursive] Error 1
> make[2]: Leaving directory `/usr/src/rivendell-2.0.2'
> make[1]: *** [install-debian] Error 2
> make[1]: Leaving directory `/usr/src/rivendell-2.0.2'
> make: *** [install] Error 2
> dpkg-buildpackage: error: debian/rules binary gave error exit status 2
>
>
> Any ideas on what is wrong or how I can resolve this?
>
> Thanks!
>
>
> Andrew
> _______________________________________________
> Rivendell-dev mailing list
> Rivendell-dev at lists.rivendellaudio.org
> http://lists.rivendellaudio.org/mailman/listinfo/rivendell-dev
>


More information about the Rivendell-dev mailing list